diff --git a/src/etc/inc/interfaces.inc b/src/etc/inc/interfaces.inc
index b369617df7ebb7b5963f3289e3ac3b494c921810..30d80bf658c14b8049bbe83f800a0b8b27a55f09 100644
--- a/src/etc/inc/interfaces.inc
+++ b/src/etc/inc/interfaces.inc
@@ -4351,7 +4351,7 @@ function interface_configure($interface = "wan", $reloadall = false, $linkupeven
 			break;
 		default:
 			/* XXX: Kludge for now related to #3280 */
-			if (!in_array($tunnelif, array("gif", "gre", "ovp", "ips"))) {
+			if (!in_array($tunnelif, array("gif", "gre", "ovp", "ips", "l2t"))) {
 				if (is_ipaddrv4($wancfg['ipaddr']) && $wancfg['subnet'] <> "") {
 					pfSense_interface_setaddress($realif, "{$wancfg['ipaddr']}/{$wancfg['subnet']}");
 				}
@@ -4383,7 +4383,7 @@ function interface_configure($interface = "wan", $reloadall = false, $linkupeven
 			break;
 		default:
 			/* XXX: Kludge for now related to #3280 */
-			if (!in_array($tunnelif, array("gif", "gre", "ovp", "ips"))) {
+			if (!in_array($tunnelif, array("gif", "gre", "ovp", "ips", "l2t"))) {
 				if (is_ipaddrv6($wancfg['ipaddrv6']) && $wancfg['subnetv6'] <> "") {
 					//pfSense_interface_setaddress($realif, "{$wancfg['ipaddrv6']}/{$wancfg['subnetv6']}");
 					// FIXME: Add IPv6 Support to the pfSense module
@@ -4443,7 +4443,11 @@ function interface_configure($interface = "wan", $reloadall = false, $linkupeven
 			/* update dyndns */
 			send_event("service reload dyndns {$interface}");
 		}
-	}
+	} 
+
+	if (!platform_booting() && (substr($realif, 0, 5) == 'l2tps')) {
+		vpn_l2tp_configure();
+	};
 
 	if (!empty($wancfg['descr'])) {
 		mwexec("/sbin/ifconfig " . escapeshellarg($wancfg['if']) . " description " . escapeshellarg($wancfg['descr']));
diff --git a/src/etc/inc/util.inc b/src/etc/inc/util.inc
index 39dce2b1e9827389b967abeff2d49e6c44463b52..05cbf99086191c3ede88b78a3938783084cf23dc 100644
--- a/src/etc/inc/util.inc
+++ b/src/etc/inc/util.inc
@@ -1632,7 +1632,6 @@ function get_interface_list($mode = "active", $keyby = "physical", $vfaces = "")
 				'poes',
 				'pptp',
 				'l2tp',
-				'l2tps',
 				'sl',
 				'gif',
 				'gre',
diff --git a/src/usr/local/www/interfaces.php b/src/usr/local/www/interfaces.php
index 27abc2feefc960f14cd9fe1a0b383a59a5d2a125..96cdc4bec6ad7a5b523b5b7ac1c83f6e1cec91ab 100755
--- a/src/usr/local/www/interfaces.php
+++ b/src/usr/local/www/interfaces.php
@@ -88,7 +88,7 @@ $a_gateways = &$config['gateways']['gateway_item'];
 $interfaces = get_configured_interface_with_descr();
 /* Interfaces which have addresses configured elsewhere and should not be
  * configured here. See https://redmine.pfsense.org/issues/8687 */
-$no_address_interfaces = array("ovpn", "ipsec", "gif", "gre");
+$no_address_interfaces = array("ovpn", "ipsec", "gif", "gre", "l2tps");
 $show_address_controls = true;
 $realifname = get_real_interface($if);
 foreach ($no_address_interfaces as $ifbl) {
